diff -ur devices.chrp.base.ServiceRM-2.3.0.0/debian/postinst devices.chrp.base.ServiceRM-2.3.0.0/debian/postinst
--- devices.chrp.base.ServiceRM-2.3.0.0/debian/postinst	2011-12-25 14:43:24.000000000 +0100
+++ devices.chrp.base.ServiceRM-2.3.0.0/debian/postinst	2011-12-25 14:45:21.000000000 +0100
@@ -12,8 +12,12 @@
 # Post-install script ----------------------------------------------------------
 
 # configuration
+if [ "$1" = "configure" ]; then
+    /usr/sbin/rsct/bin/servicerm_rmcctrl_cfg
+    RC=$?
+    exit ${RC}
+fi
 
-/usr/sbin/rsct/bin/servicerm_rmcctrl_cfg
-rc=$?
-
-exit $rc
\ No newline at end of file
+exit 0
+#
+# EOF
diff -ur devices.chrp.base.ServiceRM-2.3.0.0/debian/postrm devices.chrp.base.ServiceRM-2.3.0.0/debian/postrm
--- devices.chrp.base.ServiceRM-2.3.0.0/debian/postrm	2011-12-25 14:43:24.000000000 +0100
+++ devices.chrp.base.ServiceRM-2.3.0.0/debian/postrm	2011-12-25 14:48:59.000000000 +0100
@@ -1,10 +1,11 @@
 #!/bin/bash
 # Post-uninstall script -------------------------------------------------
-if [ "$1" = 0 ]
-then
+if [ "$1" = "upgrade" ]; then
+    /usr/sbin/rsct/bin/rmcctrl -A
+    RC=$?
+    exit ${RC}
+fi
 
-/usr/sbin/rsct/bin/rmcctrl -A
-rc=$?
-exit $rc
-
-fi
\ No newline at end of file
+exit 0
+#
+# EOF
diff -ur devices.chrp.base.ServiceRM-2.3.0.0/debian/preinst devices.chrp.base.ServiceRM-2.3.0.0/debian/preinst
--- devices.chrp.base.ServiceRM-2.3.0.0/debian/preinst	2011-12-25 14:43:24.000000000 +0100
+++ devices.chrp.base.ServiceRM-2.3.0.0/debian/preinst	2011-12-25 14:47:14.000000000 +0100
@@ -3,8 +3,8 @@
 
 # Do any preprocessing for an update or install -- stop RMC daemon and  
 # resource managers so that this resource manager can be added to RMC
-
-if [ "$1" > 0 ]
-then
 /usr/sbin/rsct/bin/rmcctrl -z
-fi
\ No newline at end of file
+
+exit 0
+#
+# EOF
diff -ur devices.chrp.base.ServiceRM-2.3.0.0/debian/prerm devices.chrp.base.ServiceRM-2.3.0.0/debian/prerm
--- devices.chrp.base.ServiceRM-2.3.0.0/debian/prerm	2011-12-25 14:43:24.000000000 +0100
+++ devices.chrp.base.ServiceRM-2.3.0.0/debian/prerm	2011-12-25 14:46:10.000000000 +0100
@@ -1,8 +1,9 @@
 #!/bin/bash
 # Pre-unInstall script -------------------------------------------------
-if [ "$1" = 0 ]
-then
+if [ "$1" = "remove" ]; then
+    /usr/sbin/rsct/bin/servicerm_rmcctrl_uncfg
+fi
 
-/usr/sbin/rsct/bin/servicerm_rmcctrl_uncfg
-
-fi
\ No newline at end of file
+exit 0
+#
+# EOF
diff -ur devices.chrp.base.ServiceRM-2.3.0.0/debian/control devices.chrp.base.ServiceRM-2.3.0.0/debian/control
--- devices.chrp.base.ServiceRM-2.3.0.0/debian/control	2011-12-25 14:43:24.000000000 +0100
+++ devices.chrp.base.ServiceRM-2.3.0.0/debian/control	2011-12-25 14:50:13.000000000 +0100
@@ -4,7 +4,7 @@
 Maintainer: root <root@ststnagios02.lan.ssbag>
 
 Package: devices.chrp.base.servicerm
-Architecture: ppc64
+Architecture: powerpc
 Depends: ${shlibs:Depends}
 Description: Service RM
  The Service RM is a an RSCT resource manager that provides resource classes
